/*
 * FreeAdhocUDF - copyright (c) 2004 - 2006 adhoc dataservice GmbH
 * Christoph Theuring / Peter Mandrella / Georg Horn
 * based on FreeUDFLibC - copyright (c) 1999 Gregory Deatz
 *
 * File Name:	const_functions.c
 * Description: this module contains UDFs to of technical constant
 *
 * for exported functions list see const_functions.h
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
*****************************************************************/

#include <math.h>
#include "const_functions.h"

// mathematical constants
// pi
double pi ()
{
   return M_PI;
}

// e Euler
double euler ()
{
  return M_E;
}

// physical constants
// c Lichtgeschwindigkeit [m/s]
int c ()
{
  int result = 299792458;
  return result;
}

// g Erdbeschleunigung [m/s^2]
double g ()
{
  double result = 9.80665;
  return result;
}

// K absoluter Nullpunkt = 0Grad Kelvin
double k ()
{
  double result = -273.15;
  return result;
}

