/*
 * FreeAdhocUDF - copyright (c) 2004 - 2006 adhoc dataservice GmbH
 * Christoph Theuring / Peter Mandrella / Georg Horn
 * based on FreeUDFLibC - copyright (c) 1999 Gregory Deatz
 *
 * File Name:	conv_functions.h
 * Description: This header contains the prototype definitions for conv_functions.c
 *
 * ct 2006-11-14
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *****************************************************************/
 
double * in2m (double *);
double * ft2m (double *);
double * yd2m (double *);
double * mile2km (double *);
double * sm2km (double *);
double * fm2m (double *);
double * p2mm (double *);
double * m2in (double *);
double * m2ft (double *);
double * m2yd (double *);
double * km2mile (double *);
double * km2sm (double *);
double * m2fm (double *);
double * mm2p (double *);
double * ar2sqm (double *);
double * ha2sqm (double *);
double * morgen2sqm (double *);
double * sqft2sqm (double *);
double * ac2sqm (double *);
double * sqyd2sqm (double *);
double * sqm2ar (double *);
double * sqm2ha (double *);
double * sqm2morgen (double *);
double * sqm2sqft (double *);
double * sqm2ac (double *);
double * sqm2sqyd (double *);
double * bbl2l (double *);
double * gbfloz2ml (double *);
double * usfloz2ml (double *);
double * gbpt2l (double *);
double * uspt2l (double *);
double * gbqt2l (double *);
double * usqt2l (double *);
double * gbgal2l (double *);
double * usgal2l (double *);
double * rt2cbm (double *);
double * l2bbl (double *);
double * ml2gbfloz (double *);
double * ml2usfloz (double *);
double * l2gbpt (double *);
double * l2uspt (double *);
double * l2gbqt (double *);
double * l2usqt (double *);
double * l2gbgal (double *);
double * l2usgal (double *);
double * cbm2rt (double *);
double * ct2g (double *);
double * oz2g (double *);
double * oztr2g (double *);
double * lb2kg (double *);
double * g2ct (double *);
double * g2oz (double *);
double * g2oztr (double *);
double * kg2lb (double *);
double * g2t (double *);
double * bar2torr (double *);
double * bar2pa (double *);
double * psi2pa (double *);
double * torr2pa (double *);
double * cal2j (double *);
double * ps2kw (double *);
double * bhp2kw (double *);
double * t2g (double *);
double * torr2bar (double *);
double * pa2bar (double *);
double * pa2psi (double *);
double * pa2torr (double *);
double * j2cal (double *);
double * kw2ps (double *);
double * kw2bhp (double *);
double * c2f (double *);
double * f2c (double *);
int * roman2arabic(char *);
char * arabic2roman (int *);
int * convertfrom33 (char *);
char * convertto33 (int *);
int * convertfrombase (char *, int *, char *);
char * converttobase (int *, int *, char *);
char * inttohex (int *, int *);
int * hextoint (char *);
double *degtorad (double *);
double * radtodeg (double *);
