/*
 * FreeAdhocUDF - copyright (c) 2004 - 2006 adhoc dataservice GmbH
 * Christoph Theuring / Peter Mandrella / Georg Horn
 * based on FreeUDFLibC - copyright (c) 1999 Gregory Deatz
 *
 * File Name:	math_functions.h
 * Description: This header contains the prototype definitions for math_functions.c
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 */

double intern_zahlrunden(double d1, int nk);
char * converttodollar (double *);
double * doubleabs (double *);
double * fact (int *);
char * fixedpoint (double *, int *);
char * fixedpointlang (double *, int *, char *, char *);
int * integerabs (int *);
double * maxnum (double *, double *);
double * minnum (double *, double *);
int * modulo (int *, int *);
int * f_round (double *);
int * f_truncate (double *);
int * isdivisibleby (int*, int*);
int * evenodd (int *);
int * equalfloat (double *, double *);
int * equalinteger (int *, int *);
double * prozente (double *, double *);
double * zahlrunden (double *, int *);
double * roundtoeven (double *, int *);
double * softround (double *, int *);
int * intrandom (int *, int *);
double * doublerandom (int *, int *);
double * sin_rad (double *);
double * cos_rad (double *);
double * tan_rad (double *);
double * cot_rad (double *);
double * arcsin_rad (double *);
double * arccos_rad (double *);
double * arctan_rad (double *);
double * arctan2_rad (double *, double *);
double * arccot_rad (double *);
double * sin_deg (double *);
double * cos_deg (double *);
double * tan_deg (double *);
double * cot_deg (double *);
double * arcsin_deg (double *);
double * arccos_deg (double *);
double * arctan_deg (double *);
double * arccot_deg (double *);
double * sinhyp (double *);
double * coshyp (double *);
double * tanhyp (double *);
double * cothyp (double *);
double * arsinh (double *);
double * arcosh (double *);
double * artanh (double *);
double * arcoth (double *);
double * f_rand();
int * f_sign( double *);
double * f_sqrt( double *);
double * f_ln( double *);
double * f_log( double *, double *);
double * f_log10( double *);
double * f_floor( double *);
double * f_frac( double *);
double * f_ceiling( double *);
int * f_bin_and(int *, int *);
int * f_bin_or(int *, int *);
int * f_bin_xor(int *, int *);
int * f_bin_not(int *);
int * f_bin_shl(int *, int *);
int * f_bin_shr(int *, int *);
double * f_power( double *, double *);
double * f_exp( double *);
char * numinwords(double *, int *, char *);
int * r_div(int *q, int *r);
double r_z(double *);
double r_dividezero(double *, double *, double *);
int * r_getbit(int *, int *);
int * r_setbit(int *, int *, int *);
int *getrandom(int *);
