/*
 * FreeAdhocUDF - copyright (c) 2004 - 2006 adhoc dataservice GmbH
 * Christoph Theuring / Peter Mandrella / Georg Horn
 * based on FreeUDFLibC - copyright (c) 1999 Gregory Deatz
 * altered 2001 by ADITO Software GmbH Robert Loipfinger
 *
 * File Name:	string_functions.h
 * Description: This header contains the prototype definitions
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *  String routines declarations:
 *
 */


char *character (int *);
char *crlf ();
char *lf ();
char *tab ();
char *nbsp ();
char *dqm ();
char *sqm ();
char *digits (char *);
char *encryptmd5 (char *);
char *left (char *, int *);
char *linewrap (char *, int *, int *);
char *ltrim (char *);
char *lrtrim (char *);
char *rtrim (char *);
char *mid (char *, int *, int *);
char *padleft (char *, char *, int *);
char *r_padleft (char *, int *, char *);
char *padright (char *, char *, int *);
char *r_padright (char *, int *, char *);
char *padcenter (char *, char *, int *);
char *propercase (char *);
char *replace (char *, char *, char *);
char *right (char *, int *);
char *soundex (char *);
char *gsoundex (char *);
int *stringlength (char *);
char *stripstring (char *, char *);
char *stripstringhold (char *, char *);
int *substr (char *, char *);
int *substrnull (char *, char *);
int *strsub (char *, char *);
int *strsubnull (char *, char *);
int *strpos (char *, char *);
char *lower (char *);
char *upper (char *);
char *telefonnr (char *, int *);
char *aif (char *, char *, char *, char *, char *);
char *strcopy (char *, int *, int *);
char *strrm (char *, int *);
char *version ();
char *predecessor (char *, int *);
char *successor (char *, int *);
char *reverse (char *);
int *wordcount (char *);
short *ord(unsigned char *);
int *stringcount(char *, char *);
int *r_stringcount(char *, char *);
int *r_strcmp(char *, char *);
int *r_wordcount(char *, char *, int *);
char *wordnum(char *, int *, char *, int *);

// internal functions
int find_char (char, char *);

char *collatebr (char *);
int *equalstring (char *, char *);
char *findnthword (char *, int *);
char *findword (char *, int *);
int *findwordindex (char *, int *);
int *findwordindexnull (char *, int *);
char *mid1 (char *, int *, int *);
char *replacestring (char *, char *, char *, int *, int *);
char *intern_replacestring (char *, char *, char *, int *, int *, int);
char *space (int *);
char *strofchar (char *, int *);
char *dollarval (double *);
char *euroval (double *);
char *stringlistitem (char *, char *);
char *excelstring (char *);
char *intern_excelstring (char *, int);
char *keyup(char *, int *);
char *r_c(char *);
char *convertsymbols(char *, char *, char *);
char *repeattrim(char *string, char *trim);
char *strrepeat(char *string, int *count);
char *strstuff(char *string, int *pos, int *count, char *repl);
char *floattostr(double *d, char *fmt);
char *inttostr(int *i, char *fmt);
